import request from '@/utils/request'

// 查询分包单位班组列表
export function listProProjectInfoSubdeptsGroup(query) {
  return request({
    url: '/manage/proProjectInfoSubdeptsGroup/list',
    method: 'get',
    params: query
  })
}

// 查询分包单位班组详细
export function getProProjectInfoSubdeptsGroup(id) {
  return request({
    url: '/manage/proProjectInfoSubdeptsGroup/' + id,
    method: 'get'
  })
}

// 新增分包单位班组
export function addProProjectInfoSubdeptsGroup(data) {
  return request({
    url: '/manage/proProjectInfoSubdeptsGroup',
    method: 'post',
    data: data
  })
}

// 修改分包单位班组
export function updateProProjectInfoSubdeptsGroup(data) {
  return request({
    url: '/manage/proProjectInfoSubdeptsGroup',
    method: 'put',
    data: data
  })
}

// 删除分包单位班组
export function delProProjectInfoSubdeptsGroup(id) {
  return request({
    url: '/manage/proProjectInfoSubdeptsGroup/' + id,
    method: 'delete'
  })
}
